Problemas con ATI Xpress 200m o como volver a correr el RO

Imagen de yyeshua
0 puntos

Buen día ubunteros.

He aquí mi historia, mi problema, mi solicitud de ayuda.

Tengo un portatil Gateway con procesador Turion 64 X2, 3GB de RAM y una tarjeta de Vídeo integrada ATI Xpress 200m con 128MB de VRAM.

Bien, por esta portátil han pasado cualquier cantidad de versiones de ubuntu, mandriva, linux mint, debian, entre otras.

Como sabrán, ATI dejó de actualizar el driver de esta tarjeta de video varios años atras, así que desde entonces he estado utilizando el driver libre que las distribuciones instalan por defecto. En versiones anteriores a Ubuntu 11.10, para jugar al Regnum Online, debía instalar el driconf y activar texturas S3TC, con hacer eso ya todo iba de maravilla. Empero, en esta versión, Ubunu 11.10, al instalar el driconf me encuentro con la sorpresa de que la opción para activar dichas texturas ha desaparecido, y por tanto ya no puedo jugar al Regnum Online T__T

¿Tiene alguien algún concejo para mi?. La verdad es que me gusta mucho esta versión de Ubuntu, no quiero instalar debian, y además ya me acostumbré a Ubuntu One y Unity como para querer ir a otra distribución. Y desde luego, no quiero comprarme otro portatil. XD

Bueno, espero vuestra ayuda, si alguien sabe como activar dichas texturas u otro mecanismo para correr el Regnum Online, le estaré enormemente agradecido.

PD: Mi glxgears me unos fluidos 60 fps, no es mucho, pero va. La instrucción «glxingo | grep direct» me devuelve "yes" por lo que asumo que eso significa que tengo aceleración. Gracias.

Imagen de DINAMIK
+1
0
-1

si, te comento,

necesitas bajar el paquete para podes descomprimir las texturas s3tc:

mi recomendacion es la sigueinte:

si tenes natty, oneiric o precise instalate este ppa para tener los ultimos drivers (saca otro ppa similar por ejemplo el xorg edger sino te va a hacer lio):

sudo add-apt-repository ppa:oibaf/graphics-drivers
sudo apt-get update
sudo apt-get dist-upgrade

ahora tenes que instalar el paquete que te falta

sudo apt-get install libtxc_dxtn0

y ahora podes jugar al ro XD (en shader 2 todavia no anda; pero en fixed va joya)

si tenes otra distro con instalar libtxc_dxtn0 ya es suficiente, pero en los repos de ubuntu no esta por defecto, por eso tenes que descargarlo de debian o agregar este ppa.

mas info aca: http://phoronix.com/forums/showthread.php?50038-Updated-and-Optimized-Ub...

+1
0
-1